Subject: Re: regarding kgdb in ppc

From: Sergei Shtylyov <[email-masked]>
Date: Tue, 23 Jan 2007 17:58:28 +0300

Hello.

sudheer wrote:

>> I'd consider kgdboe - it works pretty well with 8540 gianfar (or at 
>> least used to work for me so tinkering might be trivial).

> I have tried with kgdboe. The kernel doesn't wait at any point of time 
> and boots completely.

> I gave the following bootargs:
> console=ttyS0,115200 root=/dev/ram rw 
> kgdboe=@192.168.3.80/,@192.168.3.14/00:08:A1:84:EF:CA kgdbwait

    You don't have to specify the remote MAC, IIUC.

> My Host IP is 192.168.3.14 and that of target's is 80

> The whole dump of boot process is as below:

[...]
> Memory CAM mapping: CAM0=256Mb, CAM1=0Mb, CAM2=0Mb residual: 0Mb
> Linux version 2.6.15.5 (root@Sudheer) (gcc version 3.4.4) #43 Tue Jan 23 
> 15:50:57
> IST 2007
[...]
> kgdboe: local port 6443
> kgdboe: local IP 192.168.3.80
> kgdboe: interface eth0
> kgdboe: remote port 6442
> kgdboe: remote IP 192.168.3.14
> kgdboe: remote ethernet address 00:08:a1:84:ef:ca
> kgdboe: eth0 doesn't support polling, aborting.
> kgdboe: netpoll_setup failed kgdboe failed

    Have you backported the gianfar netpoll patch from 2.6.20-rc1?

> Thanks
> Sudheer

WBR, Sergei